// uporaba klju"cavnic - primer iz prosojnic

#include <stdio.h>
#include <omp.h>
#include <windows.h>

omp_lock_t my_lock;

int main() 
{
	omp_init_lock(&my_lock);
	#pragma omp parallel
	{
		int tid = omp_get_thread_num( );
		int i;

		for (i = 0; i < 5; ++i) 
		{
			omp_set_lock(&my_lock);
			printf("Nit %d - zaklenjeno\n", tid);
			Sleep(10);
			printf("Nit %d - odklenjeno\n", tid);
			omp_unset_lock(&my_lock);
		}
	}
	omp_destroy_lock(&my_lock);
}
