// mno"zenje dveh matrik

#include <stdio.h>
#include <time.h>
#include "omp.h"

#define N 1024
double A[N][N], B[N][N], C[N][N];

int main()
{
	int i;
	time_t t1, t2;
	
	time(&t1);

	#pragma omp parallel for 
	for (i=0; i<N; i++) {
		int j;
		for (j=0; j<N; j++) {
			double total = 0.0;
			int k;
			for (k=0; k<N; k++)
				total+= A[i][k]*B[k][j];
			C[i][j] = total;
		}
	}

	time(&t2);
	printf("Mnoenje dveh matrik %dx%d izvedeno v %d s.\n", N, N, t2-t1);
}
